Package org.springframework.aot.hint.annotation

# Class SimpleReflectiveProcessor

java.lang.Object
org.springframework.aot.hint.annotation.SimpleReflectiveProcessor

All Implemented Interfaces:
  `ReflectiveProcessor`

public class SimpleReflectiveProcessor extends Object implements ReflectiveProcessor
A simple `ReflectiveProcessor` implementation that registers only a reflection hint for the annotated type. Can be sub-classed to customize processing for a given `AnnotatedElement` type.

Since:
  6.0
Author:
  Stephane Nicoll

## Constructor Summary

Constructors
Constructor
Description
`SimpleReflectiveProcessor()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`registerConstructorHint(ReflectionHints hints, Constructor<?> constructor)`
Register `ReflectionHints` against the specified `Constructor`.
`protected void`
`registerFieldHint(ReflectionHints hints, Field field)`
Register `ReflectionHints` against the specified `Field`.
`protected void`
`registerMethodHint(ReflectionHints hints, Method method)`
Register `ReflectionHints` against the specified `Method`.
`void`
`registerReflectionHints(ReflectionHints hints, AnnotatedElement element)`
Register `ReflectionHints` against the specified `AnnotatedElement`.
`protected void`
`registerTypeHint(ReflectionHints hints, Class<?> type)`
Register `ReflectionHints` against the specified `Class`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleReflectiveProcessor

public SimpleReflectiveProcessor()

## Method Details

### registerReflectionHints

public void registerReflectionHints(ReflectionHints hints, AnnotatedElement element)
Description copied from interface: `ReflectiveProcessor`
Register `ReflectionHints` against the specified `AnnotatedElement`.

Specified by:
  `registerReflectionHints` in interface `ReflectiveProcessor`
Parameters:
  `hints` - the reflection hints instance to use
  `element` - the element to process

### registerTypeHint

protected void registerTypeHint(ReflectionHints hints, Class<?> type)
Register `ReflectionHints` against the specified `Class`.

Parameters:
  `hints` - the reflection hints instance to use
  `type` - the class to process

### registerConstructorHint

protected void registerConstructorHint(ReflectionHints hints, Constructor<?> constructor)
Register `ReflectionHints` against the specified `Constructor`.

Parameters:
  `hints` - the reflection hints instance to use
  `constructor` - the constructor to process

### registerFieldHint

protected void registerFieldHint(ReflectionHints hints, Field field)
Register `ReflectionHints` against the specified `Field`.

Parameters:
  `hints` - the reflection hints instance to use
  `field` - the field to process

### registerMethodHint

protected void registerMethodHint(ReflectionHints hints, Method method)
Register `ReflectionHints` against the specified `Method`.

Parameters:
  `hints` - the reflection hints instance to use
  `method` - the method to process